include "semaphore_utils.iol"
include "../AbstractActivity.iol"

type OpType:void {
  .msgID:string
  .content?:undefined
}

type JoinType:void {
  .sid:string
}

outputPort MH {
}

outputPort Leader {
Protocol: sodep
RequestResponse:
  joinAck( JoinType )( void ), joinStart( JoinType )( void )
}

outputPort logger {
Location: "RPH__logger!/Activity/Adapt__KPH__"
Protocol: sodep
RequestResponse:
  log( OpType )( undefined )
}

outputPort client {
Location: "RPH__client!/Activity/Adapt__KPH__"
Protocol: sodep
RequestResponse:
  response( OpType )( undefined )
}


define onRun
{
  get@State( "order" )( var259 );
  _tmp = var259;
  var258.content = _tmp;
  var258.msgID = "2afa5718-1e90-4e12-8db3-9ecabc2f2486";
  log@logger( var258 )(  );
  {
    var260 = "XXX";
    var261.value = var260;
    var261 = "result";
    set@State( var261 )(  );
    get@State( "result" )( var263 );
    _tmp = var263;
    var262.content = _tmp;
    var262.msgID = "804bdcc1-a80e-4ddb-b636-786956868008";
    response@client( var262 )(  )
  }
}

define start
{
  nullProcess
}

