include "time.iol"

inputPort IN {
  Location: "socket://localhost:8003"
  Protocol: jsonrpc
  RequestResponse: getTime
}

execution{ concurrent }

main
{
  getTime()( time ){
    getCurrentTimeMillis@Time()( timeMills );
    getDateTime@Time( timeMills { .format = "HH:mm, dd-MM-yyyy" } )( time )
  }
}